Subject: Re: ^L printed when resizing Emacs split window using ksh93

From: Nicholas Papadonis <[email-masked]>
Date: Mon, 20 Apr 2020 10:45:18 -0400

Comments

> On Apr 8, 2020, at 10:33 AM, Bruno Félix Rezende Ribeiro <[email-masked]> wrote:
> 
> Hello Nicholas,
> 
> Nicholas Papadonis <[email-masked]> writes:
> 
>> PS2 is printed multiple times during the resize.  When entered is pressed
>> after the resize, multiple ^L s are displayed.  I set PS2="" and the
>> brackets are omitted, however ^L still remain after pressing enter.
>> Is this a known issue?
> 
> I /can/ reproduce this.  Have you reported this using ‘report-emacs-bug’
> to make sure someone makes a through investigation?

I notice is the PS2 prompt that is displayed when resizing the window.  Is ^L not the control character to clear the screen?

I export PS2=“” and ^L is still present on the input line after resizing.

Does anyone know where to start debugging this?

Thanks